#!/bin/bash

sudo apt install python3-pip

sudo apt install python3.10-venv

sudo apt install pkg-config

sudo apt install libssl-dev

python3 -m venv .env

source .env/bin/activate

pip install -r requirements.txt


cd rust_module && maturin develop && cd ..

python3 main.py --generate

python3 main.py --run


