from cryptography.fernet import Fernet
import os
import sys


key_name = 'klucz.key'
def get_key():
    with open(key_name, 'rb') as f:
        key = f.read()
    return key

def generate_key():
    if os.path.exists(key_name):
        print(
            f"The key file '{key_name}' exists in the directory. Please delete is manually or try to run an app with it.")
        sys.exit(1)
    key = Fernet.generate_key()
    with open(key_name, 'wb') as key_file:
        key_file.write(key)